Subject: Re: [TR] "key guy"

From: Geo Hahn <[email-masked]>
Date: Tue, 11 Nov 2014 16:50:33 -0700

There's more than one.

There's Pete Groh...

Email:  [email-masked]

His website:  http://britishcarkeys.com/

The other fellow I have used is George Richardson...

His website:  http://www.key-men.com/triumph/

When I wanted a set of original used keys (been some years back) I think I
had to work with both of them to find what I needed.

More recently I had Pete cut door keys for the E-Type once I found a club
member who had a numbered key that worked in that lock.

Geo

On Tue, Nov 11, 2014 at 4:03 PM, Andrew Uprichard <[email-masked]>
wrote:

> Sorry to bomb the list, but I seem to remember there is a "key guy" out
> there.  I need a key question answered!
>
>
>
> If you could contact me off-list, I'd really appreciate it!
>
>
>
> Andrew
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/triumphs/[email-masked]

** [email-masked] **

Archive: http://www.team.net/archive